UIC(1)

NAME
uic - Katie User Interface Compiler

SYNOPSIS
uic [options] <user-interface-file>

DESCRIPTION
uic reads a user interface definition (.ui) file in XML as generated by Katie Designer and creates corresponding C++ header or source files. It also generates an image file that embeds raw image data in C++ source code.

OPTIONS
    -h
    -help
        Display this help and exit.

    -v
    -version
        Display version.

    -d
    -dependencies
        Display the dependencies.

    -o <file>
        Place the output into <file>.

    -tr <func>
        Use func() for i18n.

    -p
    -no-protection
        Disable header protection.

    -n
    -no-implicit-includes
        Disable generation of #include-directives.

EXIT STATUS
uic returns 0 on success and other on unexcepted failure.

AUTHORS
Copyright (C) 2015 The Qt Company Ltd. Copyright (C) 2016 Ivailo Monev

Licensed through GNU Lesser General Public License.